Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038629
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2018-05-25 12:182018-06-13 15:25
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision99114944648b
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038629: do not use ad_session_status to disable PG triggers

DescriptionDetailed in http://wiki.openbravo.com/wiki/Projects:Improved_Trigger_Disabling_In_PostgreSQL [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0038642 closedplatform API change: removed ad_session_status table 

-  Notes
(0104745)
hgbot (developer)
2018-05-28 12:27

Repository: erp/devel/pi
Changeset: 99114944648b6061b2f615ca02ec81bccaf34cec
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon May 28 12:26:48 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/99114944648b6061b2f615ca02ec81bccaf34cec [^]

fixes 38629: do not use ad_session_status to disable PG triggers

  * In PostgreSQL triggers are now disabled using session variables.
  * Oracle implementation remains as it was before

---
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/model/excludeFilter.xml
M src-db/database/model/functions/C_INVOICETAX_ADJUSTMENT.xml
M src-db/database/model/functions/C_ORDERTAX_ADJUSTMENT.xml
M src-db/database/model/prescript-Oracle.sql
M src-db/database/model/prescript-PostgreSql.sql
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src/org/openbravo/dal/core/TriggerHandler.java
R src-db/database/model/functions/AD_ISTRIGGERENABLED.xml
R src-db/database/model/tables/AD_SESSION_STATUS.xml
---
(0105129)
AugustoMauch (developer)
2018-06-13 15:25

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2018-05-25 12:18 alostale New Issue
2018-05-25 12:18 alostale Assigned To => alostale
2018-05-25 12:18 alostale Modules => Core
2018-05-25 12:18 alostale Triggers an Emergency Pack => No
2018-05-28 11:48 alostale Description Updated View Revisions
2018-05-28 11:48 alostale Review Assigned To => AugustoMauch
2018-05-28 12:25 alostale Relationship added depends on 0038642
2018-05-28 12:27 hgbot Checkin
2018-05-28 12:27 hgbot Note Added: 0104745
2018-05-28 12:27 hgbot Status new => resolved
2018-05-28 12:27 hgbot Resolution open => fixed
2018-05-28 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/99114944648b6061b2f615ca02ec81bccaf34cec [^]
2018-06-13 15:25 AugustoMauch Note Added: 0105129
2018-06-13 15:25 AugustoMauch Status resolved => closed
2018-06-13 15:25 AugustoMauch Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker